::--------------------------------------------------------------------------------------------------
:: WinFE Lite Builder (c) 2012-Present Colin Ramsden, All rights Reserved.
:: 
:: Must be executed on Windows 10 x64, Administrator permissions are required.
::
:: USe Windows 10 ADK 1803
::
:: Build Version: 10.1 (16/02/2020).
::
::--------------------------------------------------------------------------------------------------

cls

NET SESSION >nul 2>&1
IF %ERRORLEVEL% EQU 0 (
    ECHO Administrator PRIVILEGES Detected - Proceeding
) ELSE (
    ECHO Administrator PRIVILEGES NOT Detected - Terminating
    EXIT /B
)

IF EXIST "USB\x86-x64\bootmgr.efi" (
    ECHO Not initial run - baseline files will not be copied
) ELSE (
    ECHO Initial run - baseline files will be copied
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\x86\Media\bootmgr" USB\x86-x64 /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\Media\bootmgr.efi" USB\x86-x64 /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Deployment Tools\amd64\BCDBoot\bootsect.exe" USB\x86-x64\boot /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Deployment Tools\amd64\Oscdimg\etfsboot.com" USB\x86-x64\boot /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\Media\Boot\memtest.exe " USB\x86-x64\boot /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\Media\Boot\boot.sdi" USB\x86-x64\boot /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\Media\Boot\Fonts\*.ttf" USB\x86-x64\boot\fonts /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\x86\Media\EFI\Boot\bootia32.efi" USB\x86-x64\efi\boot /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\Media\EFI\Boot\bootx64.efi" USB\x86-x64\efi\boot /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\Media\Boot\Fonts\*.ttf" USB\x86-x64\efi\microsoft\boot\fonts /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Deployment Tools\amd64\Oscdimg\efisys_noprompt.bin" USB\x86-x64\efi\microsoft\boot\efisys.bin /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\Media\EFI\Microsoft\Boot\memtest.efi" USB\x86-x64\efi\microsoft\boot /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\x86\Media\bootmgr" USB\x86-x64\x64 /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\Media\bootmgr.efi" USB\x86-x64\x64 /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Deployment Tools\amd64\BCDBoot\bootsect.exe" USB\x86-x64\x64\boot /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Deployment Tools\amd64\Oscdimg\etfsboot.com" USB\x86-x64\x64\boot /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\Media\Boot\memtest.exe " USB\x86-x64\x64\boot /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\Media\Boot\boot.sdi" USB\x86-x64\x64\boot /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\Media\Boot\Fonts\*.ttf" USB\x86-x64\x64\boot\fonts /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\Media\EFI\Boot\bootx64.efi" USB\x86-x64\x64\efi\boot /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Deployment Tools\amd64\Oscdimg\efisys_noprompt.bin" USB\x86-x64\x64\efi\microsoft\boot\efisys.bin /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\Media\EFI\Microsoft\Boot\memtest.efi" USB\x86-x64\x64\efi\microsoft\boot /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\Media\Boot\Fonts\*.ttf" USB\x86-x64\x64\efi\microsoft\boot\fonts /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\x86\Media\bootmgr" USB\x86-x64\x86 /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\x86\Media\bootmgr.efi" USB\x86-x64\x86 /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Deployment Tools\x86\BCDBoot\bootsect.exe" USB\x86-x64\x86\boot /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Deployment Tools\x86\Oscdimg" USB\x86-x64\x86\boot /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\x86\Media\Boot\boot.sdi" USB\x86-x64\x86\boot /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\x86\Media\Boot\memtest.exe" USB\x86-x64\x86\boot /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\Media\Boot\Fonts\*.ttf" USB\x86-x64\x86\boot\fonts /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\x86\Media\EFI\Boot\bootia32.efi" USB\x86-x64\x86\efi\boot /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Deployment Tools\x86\Oscdimg\efisys_noprompt.bin" USB\x86-x64\x86\efi\microsoft\boot\efisys.bin /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\x86\Media\EFI\Microsoft\Boot\memtest.efi" USB\x86-x64\x86\efi\microsoft\boot /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\Media\Boot\Fonts\*.ttf" USB\x86-x64\x86\efi\microsoft\boot\fonts /Y

    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Deployment Tools\amd64\Oscdimg\etfsboot.com" Tools /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Deployment Tools\amd64\Oscdimg\oscdimg.exe" Tools /Y

    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\en-us\winpe.wim" x64 /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\x86\en-us\winpe.wim" x86 /Y

    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\WinPE_OCs\WinPE-EnhancedStorage.cab" x64 /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\x86\WinPE_OCs\WinPE-EnhancedStorage.cab" x86 /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\WinPE_OCs\WinPE-HTA.cab" x64 /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\x86\WinPE_OCs\WinPE-HTA.cab" x86 /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\WinPE_OCs\WinPE-Scripting.cab" x64 /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\x86\WinPE_OCs\WinPE-Scripting.cab" x86 /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\WinPE_OCs\WinPE-SecureStartup.cab" x64 /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\x86\WinPE_OCs\WinPE-SecureStartup.cab" x86 /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\amd64\WinPE_OCs\WinPE-WMI.cab" x64 /Y
    copy "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\x86\WinPE_OCs\WinPE-WMI.cab" x86 /Y
)

rmdir /S /Q Temp

mkdir Temp
mkdir Temp\sources
mkdir Temp\mount

::--------------------------------------------------------------------------------------------------
::
:: x64 Build 
::
::--------------------------------------------------------------------------------------------------

copy /Y x64\winpe.wim Temp\boot64.wim

dism.exe /Mount-Wim /WimFile:Temp\boot64.wim /index:1 /MountDir:Temp\mount
dism.exe /image:Temp\mount /Add-Package /PackagePath:x64\winpe-wmi.cab
dism.exe /image:Temp\mount /Add-Package /PackagePath:x64\winpe-scripting.cab
dism.exe /image:Temp\mount /Add-Package /PackagePath:x64\winpe-hta.cab
dism.exe /image:Temp\mount /Add-Package /PackagePath:x64\Winpe-securestartup.cab
dism.exe /image:Temp\mount /Add-Package /PackagePath:x64\Winpe-enhancedstorage.cab

mkdir Temp\mount\Windows\System32\Config\systemprofile
mkdir Temp\mount\Windows\System32\Config\systemprofile\Desktop

copy x64\en-us\manage-bde.exe.mui Temp\mount\windows\system32\en-us
copy x64\explorer.exe Temp\mount\windows\system32
copy x64\explorerframe.dll Temp\mount\windows\system32
copy x64\menu.exe Temp\mount\windows\system32
copy x64\penetwork.exe Temp\mount\windows\system32
copy x64\penetwork.icl Temp\mount\windows\system32
copy x64\penetwork.ini Temp\mount\windows\system32
copy x64\penetwork_eng.lng Temp\mount\windows\system32
copy x64\penetwork_fr.lng Temp\mount\windows\system32
copy x64\penetwork_ger.lng Temp\mount\windows\system32
copy x64\penetwork_ita.lng Temp\mount\windows\system32
copy x64\penetwork_oldicons.icl Temp\mount\windows\system32
copy x64\penetwork_w10.icl Temp\mount\windows\system32
copy x64\penetwork_w10_gui_colored.icl Temp\mount\windows\system32
copy x64\protect.exe Temp\mount\windows\system32
copy x64\startnet.exe Temp\mount\windows\system32
copy x64\winpeshl.ini Temp\mount\windows\system32
::copy x64\ultravnc.ini Temp\mount\windows\system32
::copy x64\winvnc.exe Temp\mount\windows\system32
::copy x64\schook64.dll Temp\mount\windows\system32
copy x64\reset.exe Temp\mount\windows\system32
copy x64\advreset.exe Temp\mount\windows\system32
copy x64\fit.exe Temp\mount\windows\system32

copy x64\mfc140u.dll Temp\mount\windows\system32
copy x64\msvcp140.dll Temp\mount\windows\system32
copy x64\vcruntime140.dll Temp\mount\windows\system32
copy x64\avifil32.dll Temp\mount\windows\system32
copy x64\msacm32.dll Temp\mount\windows\system32
copy x64\msvfw32.dll Temp\mount\windows\system32

::mkdir "Temp\mount\Program Files\Microsoft Security Client"
::mkdir "Temp\mount\Program Files\Microsoft Security Client\EN-US"

:: Windows Defender Offline
::copy x64\eula.rtf "Temp\mount\Program Files\Microsoft Security Client\EN-US"
::copy x64\mpasdesc.dll.mui "Temp\mount\Program Files\Microsoft Security Client\EN-US"
::copy x64\MpSwpHelp.RTF "Temp\mount\Program Files\Microsoft Security Client\EN-US"
::copy x64\MsMpRes.dll.mui "Temp\mount\Program Files\Microsoft Security Client\EN-US"
::copy x64\OfflineScannerShell.exe.mui "Temp\mount\Program Files\Microsoft Security Client\EN-US"
::copy x64\EppManifest.dll "Temp\mount\Program Files\Microsoft Security Client"
::copy x64\mpasdesc.dll "Temp\mount\Program Files\Microsoft Security Client"
::copy x64\MpClient.dll "Temp\mount\Program Files\Microsoft Security Client"
::copy x64\MpCmdRun.exe "Temp\mount\Program Files\Microsoft Security Client"
::copy x64\MpCommu.dll "Temp\mount\Program Files\Microsoft Security Client"
::copy x64\MpSvc.dll "Temp\mount\Program Files\Microsoft Security Client"
::copy x64\MpTpmAtt.dll "Temp\mount\Program Files\Microsoft Security Client"
::copy x64\MsMpCom.dll "Temp\mount\Program Files\Microsoft Security Client"
::copy x64\MsMpEng.exe "Temp\mount\Program Files\Microsoft Security Client"
::copy x64\MsMpLics.dll "Temp\mount\Program Files\Microsoft Security Client"
::copy x64\MsMpRes.dll "Temp\mount\Program Files\Microsoft Security Client"
::copy x64\msseces.exe "Temp\mount\Program Files\Microsoft Security Client"
::copy x64\OfflineScannerShell.exe "Temp\mount\Program Files\Microsoft Security Client"
::copy x64\offreg.dll "Temp\mount\Program Files\Microsoft Security Client"

copy x64\wallpaper.jpg Temp\mount\windows\system32


:: Load the Software and System hives.
reg load HKLM\FE_SOFTWARE Temp\Mount\Windows\System32\Config\SOFTWARE
reg load HKLM\FE_SYSTEM Temp\Mount\Windows\System32\Config\SYSTEM
reg load HKLM\FE_USER Temp\Mount\Windows\System32\Config\DEFAULT

::--------------------------------------------------------------------------------------------------
::
:: All registry changes should be inserted within the section below.
::
::--------------------------------------------------------------------------------------------------

:: Add Troy Larson's write protect keys.
reg add HKLM\FE_SYSTEM\ControlSet001\Services\partmgr\Parameters /v SanPolicy /t REG_DWORD /d 3 /f
reg add HKLM\FE_SYSTEM\ControlSet001\Services\MountMgr\ /v NoAutoMount /t REG_DWORD /d 1 /f

:: Disable TRIM on SSD's
reg add HKLM\FE_SYSTEM\ControlSet001\Services\FileSystem\ /v DisableDeleteNotification /t REG_DWORD /d 1 /f

:: Disable Dynamic Disk Support
reg add HKLM\FE_SYSTEM\ControlSet001\Services\volmgrx\ /v Start /t REG_DWORD /d 4 /f

:: Enable Folder Browser.
reg add HKLM\FE_SOFTWARE\Classes\CLSID\{AE054212-3535-4430-83ED-D501AA6680E6} /ve /t REG_SZ /d "Shell Name Space ListView" /f
reg add HKLM\FE_SOFTWARE\Classes\CLSID\{AE054212-3535-4430-83ED-D501AA6680E6}\InProcServer32 /ve /t REG_EXPAND_SZ /d "X:\Windows\system32\explorerframe.dll" /f
reg add HKLM\FE_SOFTWARE\Classes\CLSID\{AE054212-3535-4430-83ED-D501AA6680E6}\InProcServer32 /v ThreadingModel /t REG_SZ /d "Apartment" /f

:: Disable WinPE logging, just saves the RAM disk from filling with log files.
reg add HKLM\FE_SOFTWARE\Microsoft\WBEM\Tracing\WMI /v SessionEnabled /t REG_DWORD /d 0 /f

:: Add user defined wallpaper
reg add "HKLM\FE_USER\Control Panel\Desktop" /v "Wallpaper" /d "%%systemroot%%\system32\wallpaper.jpg" /t "REG_SZ" /f

::--------------------------------------------------------------------------------------------------
::
:: End of registry settings, do not change anything beyond this point.
::
::--------------------------------------------------------------------------------------------------

:: Unload the registry hives, ensure all registry settings are added before here.
reg unload HKLM\FE_SOFTWARE
reg unload HKLM\FE_SYSTEM
reg unload HKLM\FE_USER

dism.exe /Unmount-Wim /MountDir:Temp\mount\ /Commit

copy /Y Temp\boot64.wim USB\x86-x64\x64\sources\boot.wim
Del /Q Temp\boot64.wim

::copy /Y x64\FilesList64.dll USB\x86-x64\FilesList64.dll
::copy /Y x64\mpam-fex64.exe USB\x86-x64\mpam-fex64.exe

::--------------------------------------------------------------------------------------------------
::
:: x86 Build settings below.
::
::--------------------------------------------------------------------------------------------------

copy /Y x86\winpe.wim Temp\boot86.wim

dism.exe /Mount-Wim /WimFile:Temp\boot86.wim /index:1 /MountDir:Temp\mount

dism.exe /image:Temp\mount /Add-Package /PackagePath:x86\winpe-wmi.cab
dism.exe /image:Temp\mount /Add-Package /PackagePath:x86\winpe-scripting.cab
dism.exe /image:Temp\mount /Add-Package /PackagePath:x86\winpe-hta.cab
dism.exe /image:Temp\mount /Add-Package /PackagePath:x86\Winpe-securestartup.cab
dism.exe /image:Temp\mount /Add-Package /PackagePath:x86\Winpe-enhancedstorage.cab

mkdir Temp\mount\Windows\System32\Config\systemprofile
mkdir Temp\mount\Windows\System32\Config\systemprofile\Desktop

copy x86\en-us\manage-bde.exe.mui Temp\mount\windows\system32\en-us
copy x86\explorer.exe Temp\mount\windows\system32
copy x86\explorerframe.dll Temp\mount\windows\system32
copy x86\menu.exe Temp\mount\windows\system32
copy x86\penetwork.exe Temp\mount\windows\system32
copy x86\penetwork.icl Temp\mount\windows\system32
copy x86\penetwork.ini Temp\mount\windows\system32
copy x86\penetwork_eng.lng Temp\mount\windows\system32
copy x86\penetwork_fr.lng Temp\mount\windows\system32
copy x86\penetwork_ger.lng Temp\mount\windows\system32
copy x86\penetwork_ita.lng Temp\mount\windows\system32
copy x86\penetwork_oldicons.icl Temp\mount\windows\system32
copy x86\penetwork_w10.icl Temp\mount\windows\system32
copy x86\penetwork_w10_gui_colored.icl Temp\mount\windows\system32
copy x86\protect.exe Temp\mount\windows\system32
copy x86\startnet.exe Temp\mount\windows\system32
copy x86\winpeshl.ini Temp\mount\windows\system32
::copy x86\ultravnc.ini Temp\mount\windows\system32
::copy x86\winvnc.exe Temp\mount\windows\system32
::copy x86\schook.dll Temp\mount\windows\system32
copy x86\reset.exe Temp\mount\windows\system32
copy x86\advreset.exe Temp\mount\windows\system32
copy x86\fit.exe Temp\mount\windows\system32

copy x86\avifil32.dll Temp\mount\windows\system32
copy x86\msacm32.dll Temp\mount\windows\system32
copy x86\msvfw32.dll Temp\mount\windows\system32

:: Windows Defender Offline
::mkdir "Temp\mount\Program Files\Microsoft Security Client"
::mkdir "Temp\mount\Program Files\Microsoft Security Client\EN-US"
::copy x86\eula.rtf "Temp\mount\Program Files\Microsoft Security Client\EN-US"
::copy x86\mpasdesc.dll.mui "Temp\mount\Program Files\Microsoft Security Client\EN-US"
::copy x86\MpSwpHelp.RTF "Temp\mount\Program Files\Microsoft Security Client\EN-US"
::copy x86\MsMpRes.dll.mui "Temp\mount\Program Files\Microsoft Security Client\EN-US"
::copy x86\OfflineScannerShell.exe.mui "Temp\mount\Program Files\Microsoft Security Client\EN-US"
::copy x86\EppManifest.dll "Temp\mount\Program Files\Microsoft Security Client"
::copy x86\mpasdesc.dll "Temp\mount\Program Files\Microsoft Security Client"
::copy x86\MpClient.dll "Temp\mount\Program Files\Microsoft Security Client"
::copy x86\MpCmdRun.exe "Temp\mount\Program Files\Microsoft Security Client"
::copy x86\MpCommu.dll "Temp\mount\Program Files\Microsoft Security Client"
::copy x86\MpSvc.dll "Temp\mount\Program Files\Microsoft Security Client"
::copy x86\MpTpmAtt.dll "Temp\mount\Program Files\Microsoft Security Client"
::copy x86\MsMpCom.dll "Temp\mount\Program Files\Microsoft Security Client"
::copy x86\MsMpEng.exe "Temp\mount\Program Files\Microsoft Security Client"
::copy x86\MsMpLics.dll "Temp\mount\Program Files\Microsoft Security Client"
::copy x86\MsMpRes.dll "Temp\mount\Program Files\Microsoft Security Client"
::copy x86\msseces.exe "Temp\mount\Program Files\Microsoft Security Client"
::copy x86\OfflineScannerShell.exe "Temp\mount\Program Files\Microsoft Security Client"
::copy x86\offreg.dll "Temp\mount\Program Files\Microsoft Security Client"

copy x86\wallpaper.jpg Temp\mount\windows\system32

:: Load the Software and System hives.
reg load HKLM\FE_SOFTWARE Temp\Mount\Windows\System32\Config\SOFTWARE
reg load HKLM\FE_SYSTEM Temp\Mount\Windows\System32\Config\SYSTEM
reg load HKLM\FE_USER Temp\Mount\Windows\System32\Config\DEFAULT

::--------------------------------------------------------------------------------------------------
::
:: All registry changes should be inserted within the section below.
::
::--------------------------------------------------------------------------------------------------

:: Add Troy Larson's write protect keys.
reg add HKLM\FE_SYSTEM\ControlSet001\Services\partmgr\Parameters /v SanPolicy /t REG_DWORD /d 3 /f
reg add HKLM\FE_SYSTEM\ControlSet001\Services\MountMgr\ /v NoAutoMount /t REG_DWORD /d 1 /f

:: Disable TRIM on SSD's
reg add HKLM\FE_SYSTEM\ControlSet001\Services\FileSystem\ /v DisableDeleteNotification /t REG_DWORD /d 1 /f

:: Disable Dynamic Disk Support
reg add HKLM\FE_SYSTEM\ControlSet001\Services\volmgrx\ /v Start /t REG_DWORD /d 4 /f

:: Enable Folder Browser.
reg add HKLM\FE_SOFTWARE\Classes\CLSID\{AE054212-3535-4430-83ED-D501AA6680E6} /ve /t REG_SZ /d "Shell Name Space ListView" /f
reg add HKLM\FE_SOFTWARE\Classes\CLSID\{AE054212-3535-4430-83ED-D501AA6680E6}\InProcServer32 /ve /t REG_EXPAND_SZ /d "X:\Windows\system32\explorerframe.dll" /f
reg add HKLM\FE_SOFTWARE\Classes\CLSID\{AE054212-3535-4430-83ED-D501AA6680E6}\InProcServer32 /v ThreadingModel /t REG_SZ /d "Apartment" /f

:: Disable WinPE logging, just saves the RAM disk from filling with log files.
reg add HKLM\FE_SOFTWARE\Microsoft\WBEM\Tracing\WMI /v SessionEnabled /t REG_DWORD /d 0 /f

:: Add user defined wallpaper
reg add "HKLM\FE_USER\Control Panel\Desktop" /v "Wallpaper" /d "%%systemroot%%\system32\wallpaper.jpg" /t "REG_SZ" /f

::--------------------------------------------------------------------------------------------------
::
:: End of registry settings, do not change anything beyond this point.
::
::--------------------------------------------------------------------------------------------------

:: Unload the registry hives, ensure all registry settings are added before here.
reg unload HKLM\FE_SOFTWARE
reg unload HKLM\FE_SYSTEM
reg unload HKLM\FE_USER

dism.exe /Unmount-Wim /MountDir:Temp\mount\ /Commit

copy /Y Temp\boot86.wim USB\x86-x64\x86\sources\boot.wim
Del /Q Temp\boot86.wim

::copy /Y x86\FilesList32.dll USB\x86-x64\FilesList32.dll
::copy /Y x86\mpam-fe.exe USB\x86-x64\mpam-fe.exe